<script setup lang="ts">
import { ChevronLgRight } from 'slippers-ui/icons';
import type { BaseLink, BaseImage } from '@/types/base';

defineProps({
  title: {
    type: String,
    required: false,
  },
  description: {
    type: String,
    required: false,
  },
  button: {
    type: Object as PropType<BaseLink>,
    required: true,
  },
  logo: {
    type: Object as PropType<BaseImage>,
    required: false,
  },
});
</script>

<template>
  <section class="wrapper">
    <SlpContainer>
      <SlpRow class="side-card">
        <SlpColumn cols="1">
          <img v-if="logo" :src="logo.config.src" :alt="logo.altText" />
        </SlpColumn>
        <SlpColumn cols="10">
          <SlpTypography variant="heading5-bold" tag="h2">
            {{ title }}
          </SlpTypography>
          <SlpTypography variant="body1" tag="p" class="slp-my-16">
            {{ description }}
          </SlpTypography>
          <SlpButton
            :href="button.config.href"
            variant="tertiary"
            :data-ga-name="button.config.dataGaName"
            :data-ga-location="button.config.dataGaLocation"
            >{{ button.text }}
            <SlpIcon :icon="ChevronLgRight" size="sm" class="slp-ml-8" />
          </SlpButton>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.wrapper {
  margin: $spacing-64 0;

  @media (max-width: $breakpoint-md) {
    margin: $spacing-32 0;
  }
}

.side-card {
  background-color: $color-surface-800;
  padding: $spacing-48 $spacing-48 $spacing-48 0;
  border-radius: 0 4px 100px 0;
  position: relative;

  @media (max-width: $breakpoint-md) {
    padding-left: $spacing-24;
  }

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: -400px;
    width: 400px;
    height: 100%;
    background-color: $color-surface-800;
  }
}
</style>
